com.h3c.dist.lock

## Enum LockType

- java.lang.Object
- - java.lang.Enum<LockType>
  - - com.h3c.dist.lock.LockType

- All Implemented Interfaces:
    Serializable, Comparable<LockType>

      public enum LockType
      extends Enum<LockType>

  Type of the Lock

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `READ_LOCK` Read Lock (Shared)
    `WRITE_LOCK` Write Lock (Exclusive)

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LockType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static LockType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### READ_LOCK

          public static final LockType READ_LOCK

      Read Lock (Shared)

    - #### WRITE_LOCK

          public static final LockType WRITE_LOCK

      Write Lock (Exclusive)

  - ### Method Detail

    - #### values

          public static LockType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LockType c : LockType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LockType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.